import request from '@/utils/request'

// 查询字段扩展详情列表
export function listDetail(query) {
  return request({
    url: '/crm/detail/list',
    method: 'get',
    params: query
  })
}

// 查询字段扩展详情详细
export function getDetail(id) {
  return request({
    url: '/crm/detail/' + id,
    method: 'get'
  })
}

// 新增字段扩展详情
export function addDetail(data) {
  return request({
    url: '/crm/detail',
    method: 'post',
    data: data
  })
}

// 修改字段扩展详情
export function updateDetail(data) {
  return request({
    url: '/crm/detail',
    method: 'put',
    data: data
  })
}

// 删除字段扩展详情
export function delDetail(id) {
  return request({
    url: '/crm/detail/' + id,
    method: 'delete'
  })
}

// 导出字段扩展详情
export function exportDetail(query) {
  return request({
    url: '/crm/detail/export',
    method: 'get',
    params: query
  })
}
